package com.prolog.eis.utils;



/**
 * @author dengj
 * @version 1.0
 * @date 2023/1/11 16:06
 */
public class GoodsPropertyUtils {

    private static final String CONNECT_FLAG = "-";


    public static String getGoodsProperty(String itemId,String lotId,String ownerId,String packId){
        return new StringBuffer().append(itemId).append(CONNECT_FLAG).append(lotId).append(CONNECT_FLAG).append(ownerId).append(CONNECT_FLAG).append(packId).toString();
    }

    public static String getGoodsProperty(String itemId,String lotId,String ownerId){
        return new StringBuffer().append(itemId).append(CONNECT_FLAG).append(lotId).append(CONNECT_FLAG).append(ownerId).toString();
    }


    public static String getGoodsProperty(String itemId,String lotId){
        return new StringBuffer().append(itemId).append(CONNECT_FLAG).append(lotId).toString();
    }
}
